<template>
  <cabinet-layout nav-active="profile">
    <div
      slot="block-content"
      class="wrench">
      <submenu item-active="organization-info"/>
      <div class="ui form">
        <div class="container">
          <div class="title">
            Организации
            <div class="question">
              <div
                class="button"
                v-tooltip="{
                  classes: 'tooltip kit white',
                  trigger: 'hover',
                  offset: '4',
                  placement: 'right',
                  html: 'true',
                  content: '<div class=help-cabinet>' +
                    '<p>Подробная информация о юридических лицах организации.</p>' +
                    '</div>',
              }"/>
            </div>
          </div>
          <div class="block-info">
            <div class="text">
              К одному профилю на gisauto может быть привязано <strong>несколько организаций</strong>.</div>
            <div class="text">
            <strong>Магазины</strong> запчастей и <strong>автотехцентры</strong> привязываются к организациям.</div>
            <div class="text">
              К одной организации может быть привязано неограниченное число магазинов и автотехцентров.</div>
          </div>
          <div class="block-table">
            <results-table :organizations="organizations"/>
          </div>
          <div class="block-btn">
            <flink
              role="button"
              href="/cabinet/wrench/organization-info/new"
              class="ui button yellow btn-add-organization">Добавить организацию
            </flink>
            <flink
              role="button"
              href="/cabinet/wrench/organization-sto"
              class="ui button yellow btn-add-organization">Добавить магазин/автотехцентр
            </flink>
          </div>
        </div>
      </div>
    </div>
    <div slot="line-modal"/>
  </cabinet-layout>
</template>

<script>
import CabinetLayout from '~/components/redesign/cabinet/main-layout';
import Submenu from '~/components/redesign/cabinet/submenu';
import ResultsTable from '~/components/redesign/cabinet/results-table-org-info';
import { createNamespacedHelpers } from 'vuex';

const STORE_USER = createNamespacedHelpers('user');

export default {
  name: 'WrenchOrganizationInfo',
  components: {
    CabinetLayout,
    Submenu,
    ResultsTable,
  },
  layout: 'cabinet',
  fetch({ store, redirect }) {
    if (store.state.user.auth.organization.legals.length === 0) {
      return redirect('/cabinet/wrench/organization-info/new');
    }
    if (!store.getters['user/organizationsEditAvailable']) {
      return redirect('/cabinet/wrench/profile');
    }
    return '';
  },
  computed: {
    ...STORE_USER.mapState(['auth']),
    organizations() {
      return this.auth.organization.legals;
    },
  },
};
</script>

<style lang="scss">
  .question {
    @media screen and (max-width: 980px) {
      display: none;
    }
    @media screen and (min-width: 981px) {
      position: relative;
      display: inline-flex;
      > .button {
        display: inline-flex;
        justify-content: center;
        align-items: center;
        width: 1rem;
        height: 1rem;
        min-height: auto;
        padding: 0;
        background: transparent;
        border: 1px solid #9badb9;
        border-radius: 50%;
        outline: 0;
        cursor: pointer;
        &:before {
          display: inline-flex;
          content: "?";
          font-size: 0.75rem;
          font-weight: normal;
          line-height: 1;
          color: #4272a4;
        }
      }
    }
  }

  .wrench {
    display: flex;
    flex-flow: column nowrap;
    justify-content: flex-start;
    align-items: stretch;
    width: 100%;
    .container {
      display: flex;
      flex-flow: column nowrap;
      justify-content: flex-start;
      align-items: flex-start;
      padding: 1.5rem;
      @media screen and (max-width: 980px) {
        display: none;
      }
      .title {
        display: block;
        line-height: 1.3;
        font-weight: 700;
        padding: 0;
        margin: 0;
        font-size: 1.3125rem;
        .question {
          margin-left: 0.5rem;
        }
      }

      .block-info {
        display: block;
        width: auto;
        padding: 1.5rem 0 0;
        .text {
          display: block;
          font-size: 0.8125rem;
          line-height: 1.5;
          font-weight: 400;
        }
      }

      .block-table {
        display: block;
        width: 100%;
        padding: 1.5rem 0 0;
      }

      .block-btn {
        display: block;
        width: 100%;
        padding: 2rem 0;
        .btn-add-organization {
          margin: 0;
          font-size: 0.875rem;
          + .btn-add-organization {
            margin-left: 1.5rem;
          }
        }
      }
    }
  }
</style>
